[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: aldrin broken dependency [Fwd: Broken dependencies: aldrin]



On Fri, 05 Oct 2007 19:06:57 +0900, Mamoru Tasaka wrote:

> Hello.
> I received a mail from my sponsornee as below.
> 
> Alexander Kahl wrote, at 10/05/2007 06:46 PM +9:00:
> > Hi Mamoru,
> > 
> > buildsys keeps sending this to me; but how am I supposed to fix the
> > build for ppc64 now? Unfortunately I have no such system available. The
> > only thing I could try is sourceforge's build farm.
> > 
> > Cheers
> > Alex
> > 
> > -------- Forwarded Message --------
> >> From: buildsys fedoraproject org
> >> To: akahl fedoraproject org
> >> Subject: Broken dependencies: aldrin
> >> Date: Fri, 5 Oct 2007 00:50:14 -0700
> >>
> >>
> >> aldrin has broken dependencies in the development tree:
> >> On ppc64:
> >> 	aldrin - 0.11-5.fc8.noarch requires pyzzub = 0:0.2.3
> >> Please resolve this as soon as possible.
> >>
> 
> Here aldrin itself is "noarch", however aldrin requires pyzzub, which
> is arch dependent and currently pyzzub is not available on ppc64.
> 
> How should this broken dependency be treated? Do we have to mark
> aldrin as arch dependent? Or should we simply ignore this?

"ExcludeArch: ppc64" in the aldrin spec file. That information is added to
the src.rpm only, however, but in turn the compose tool doesn't publish
the noarch build for ppc64.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]